<!--- Macromedia ColdFusion(r) 5.0 - Code Examples --->
<!--- Magic Numbers Example --->
<cfset pagename="Behind the Scenes - Magic Numbers Example">
<cfinclude template="../header.cfm">
<cfinclude template="../behindscenes.cfm">
<cfinclude template="../margintop.cfm">

<p>
<table width="100%">
<tr>
	<td><p><a href="#overview">Overview</a></p></td>
	<td><p><a href="#source">Source</a></p></td>
	<td><p><a href="#key">Key Tags / Functions</a></p></td>
</tr>
</table>

<hr>
<font face="Arial">
<a href="index.cfm">back</a>
<br>
<br>

<p>
<a name="overview"><br>
<h3>Overview</h3>
By default, ColdFusion assembles pages on the server and sends them back to the requesting client once they are completely built.  For certain pages which, due to their design, may take several seconds to assemble, users will only see a blank browser window while the page is built.  To overcome this perception of poor performance, cfflush allows the contents of a page to be sent to the browser in increments, optionally specified by number of bytes.  The "With cfflush" example uses an initial cfflush to send a message to the browser ("please wait..."), and a subsequent cfflush with an interval of 10 while the remainder of the page is assembled.

<br><br><br>
<a href="#top">top</a>
<hr>

<a name="source"><br>
<h3>Source Files</h3></a>
<p>
<a href="showsource.cfm">index.cfm</a><br>
<a href="showsource.cfm#withflush">withflush.cfm</a><br>
<a href="showsource.cfm#withoutflush">withoutflush.cfm</a><br>
<br><br><br>
<a href="#top">top</a>
<hr>			 
<cfif fileexists("/cfdocs/dochome.htm")>
	<a name="key"><br>
	<h3>Key Tags/Functions</h3>
	<p>
	<a href="/cfdocs/CFML_Reference/Tags30.html">cfflush</a><br>
	<a href="/cfdocs/CFML_Reference/Tags59.html">cfloop</a><br>
	<a href="/cfdocs/CFML_Reference/Functions191.html">Rand()</a><br>
	<a href="/cfdocs/CFML_Reference/Functions193.html">RandRange()</a><br>
	<br><br><br>
	<a href="#top">top</a>
	<hr>
</cfif>

</font>
<br><br>
<cfinclude template="../marginbottom.cfm">
<cfinclude template="../behindscenes.cfm">
<cfinclude template="../footer.cfm">
